curl --request PATCH \
--url https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addScopes": [
"<string>"
],
"removeScopes": [
"<string>"
]
}
'{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "<string>",
"displayName": "<string>",
"isEnabled": true,
"scopes": [
"<string>"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Token types: APP, USER | Required scopes: oidc:app:write
curl --request PATCH \
--url https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addScopes": [
"<string>"
],
"removeScopes": [
"<string>"
]
}
'{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "<string>",
"displayName": "<string>",
"isEnabled": true,
"scopes": [
"<string>"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
Use this file to discover all available pages before exploring further.
Application (M2M) OAuth2 access token (client credentials).
The ID of the application to update.
Cancellation token.
Scopes to add to the application. Valid scopes are: "embedded:bankaccount:write", "embedded:bankaccountapplication:read", "embedded:bankaccountapplication:write", "embedded:creditcard:read", "embedded:creditcard:write", "embedded:creditcardapplication:read", "embedded:creditcardapplication:write", "embedded:creditcardcustomer:read", "embedded:creditcardcustomer:write", "embedded:externalbankaccount:micro-deposit", "embedded:externalbankaccount:write", "embedded:transfer:write", "payment_rail:ach", "payment_rail:fednow", "payment_rail:rtp", "user:write".
Scopes to remove from the application. Valid scopes are: "embedded:bankaccount:write", "embedded:bankaccountapplication:read", "embedded:bankaccountapplication:write", "embedded:creditcard:read", "embedded:creditcard:write", "embedded:creditcardapplication:read", "embedded:creditcardapplication:write", "embedded:creditcardcustomer:read", "embedded:creditcardcustomer:write", "embedded:externalbankaccount:micro-deposit", "embedded:externalbankaccount:write", "embedded:transfer:write", "payment_rail:ach", "payment_rail:fednow", "payment_rail:rtp", "user:write".
Was this page helpful?